/*
 * Copyright (c) 2010, Noel Lemouel
 * All rights reserved.
 */

#include "draw.h"

/* 16bits linear framebuffer operations */

s32 area_fill_16(fb_t* fb, u16 color, area_t* area)
{
	u32 i,j;
	u16* ds;
	
	ds = (u16*)fb->base+area->x+(area->y*fb->w);

	for(i=0; i<area->h; i++)
	{
		for(j=0; j<area->w; j++)
		{
			*ds++ = color;
		}
		ds+=fb->w-area->w;
	}

	return 0;
}

u16 rgb24_to_16(u8 r, u8 g, u8 b)
{
   u16 pxl_16;

   pxl_16 = 0x00 | ((r & 0xf8) << 8);
   pxl_16 |= (g & 0xfc) << 3;
   pxl_16 |= (b & 0xfe) >> 3;

   return pxl_16;
}

