/*
 * Copyright (c) 2010, Noel Lemouel
 * All rights reserved.
 */

#ifndef __DRAW_H__
#define __DRAW_H__

typedef signed char s8;
typedef unsigned char u8;

typedef signed short s16;
typedef unsigned short u16;

typedef signed int s32;
typedef unsigned int u32;

typedef signed long long s64;
typedef unsigned long long u64;

typedef struct fb_s{
	u16 w;
	u16 h;
	u16 bpp;
	u8 *base;
} fb_t;

typedef struct area_s{
	u16 x;
	u16 y;
	u16 w;
	u16 h;
} area_t;

typedef struct pixel_s{
	u8 r;
	u8 g;
	u8 b;
	u8 a;
} pixel_t;

/* 16bits linear framebuffer operations */
extern s32 area_fill_16(fb_t* fb, u16 color, area_t* area);
extern u16 rgb24_to_16(u8 r, u8 g, u8 b);

#endif /* __DRAW_H__ */

